framework:
    workflows:
        blog_publishing:
            type: 'workflow'
            audit_trail:
                enabled: true
            marking_store:
                service: App\Workflow\SingleStateMethodMarkingStore
            supports:
                - App\Entity\Booking
            initial_marking: requested
            places:
                - requested
                - approved
                - accepted
                - canceled
            transitions:
                requested_to_approved:
                    from: requested
                    to:   approved
                requested_to_canceled:
                    from: requested
                    to:   canceled
                approved_to_accepted:
                    from: approved
                    to:   accepted
                approved_to_canceled:
                    from: approved
                    to:   canceled
                accepted_to_canceled:
                    from: accepted
                    to:   canceled